org.appng.persistence.hibernate.dialect

## Class MariaDB103DialectUTF8

- java.lang.Object
- - org.hibernate.dialect.Dialect
  - - org.hibernate.dialect.MySQLDialect
    - - org.hibernate.dialect.MySQL5Dialect
      - - org.hibernate.dialect.MariaDBDialect
        - - org.hibernate.dialect.MariaDB53Dialect
          - - org.hibernate.dialect.MariaDB10Dialect
            - - org.hibernate.dialect.MariaDB102Dialect
              - - org.hibernate.dialect.MariaDB103Dialect
                - - org.appng.persistence.hibernate.dialect.MariaDB103DialectUTF8

- All Implemented Interfaces:
    org.hibernate.exception.spi.ConversionContext

      public class MariaDB103DialectUTF8
      extends org.hibernate.dialect.MariaDB103Dialect

  A `MariaDB103Dialect` which converts varchar-fields (`Types.VARCHAR`) with
  - a length of <= 1000 to type varchar
  - a length of <= 16383 to type text
  - a length of <= 4194303 to type mediumtext
  - a length of > 4194303 to type longtext
  These values assume utf8mb4 character encoding, where each character consumes up to 4 bytes.
  Author:
    Matthias Müller

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.dialect.MySQLDialect

      `ESCAPE_PATTERN_REPLACEMENT`

    - ### Fields inherited from class org.hibernate.dialect.Dialect

      `CLOSED_QUOTE, DEFAULT_BATCH_SIZE, LEGACY_LOB_MERGE_STRATEGY, NEW_LOCATOR_LOB_MERGE_STRATEGY, NO_BATCH, QUOTE, STANDARD_DEFAULT_BATCH_LOAD_SIZING_STRATEGY, STREAM_XFER_LOB_MERGE_STRATEGY, TWO_SINGLE_QUOTES_REPLACEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MariaDB103DialectUTF8()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `registerVarcharTypes()`

    - ### Methods inherited from class org.hibernate.dialect.MariaDB103Dialect

      `getCreateSequenceString, getDropSequenceString, getForUpdateNowaitString, getForUpdateNowaitString, getQuerySequencesString, getSelectSequenceNextValString, getSequenceInformationExtractor, getSequenceNextValString, getWriteLockString, supportsPooledSequences, supportsSequences`

    - ### Methods inherited from class org.hibernate.dialect.MariaDB102Dialect

      `supportsColumnCheck`

    - ### Methods inherited from class org.hibernate.dialect.MariaDB10Dialect

      `supportsIfExistsBeforeConstraintName`

    - ### Methods inherited from class org.hibernate.dialect.MariaDBDialect

      `getDefaultMySQLStorageEngine, supportsRowValueConstructorSyntaxInInList`

    - ### Methods inherited from class org.hibernate.dialect.MySQL5Dialect

      `getEngineKeyword, getQueryHintString, getViolatedConstraintNameExtracter, supportsUnionAll`

    - ### Methods inherited from class org.hibernate.dialect.MySQLDialect

      `areStringComparisonsCaseInsensitive, buildSQLExceptionConversionDelegate, canCreateCatalog, canCreateSchema, closeQuote, dropConstraints, escapeLiteral, fixedPointNumberCastTarget, floatingPointNumberCastTarget, getAddColumnString, getAddForeignKeyConstraintString, getCastTypeName, getColumnComment, getCreateCatalogCommand, getCreateSchemaCommand, getCurrentTimestampSelectString, getDefaultMultiTableBulkIdStrategy, getDropCatalogCommand, getDropForeignKeyString, getDropSchemaCommand, getForUpdateString, getIdentityColumnSupport, getLimitHandler, getLimitString, getNotExpression, getReadLockString, getResultSet, getSelectGUIDString, getTableComment, getTableTypeString, getUniqueDelegate, hasSelfReferentialForeignKeyBug, isCurrentTimestampSelectStringCallable, isJdbcLogWarningsEnabledByDefault, openQuote, qualifyIndexName, registerResultSetOutParameter, renderOrderByElement, smallIntegerCastTarget, supportsCascadeDelete, supportsCurrentTimestampSelection, supportsEmptyInList, supportsIfExistsBeforeTableName, supportsLimit, supportsLobValueChangePropogation, supportsLockTimeouts, supportsRowValueConstructorSyntax, supportsRowValueConstructorSyntaxInSet, supportsSelectAliasInGroupByClause, supportsSubqueryOnMutatingTable`

    - ### Methods inherited from class org.hibernate.dialect.Dialect

      `addSqlHintOrComment, appendLockHint, appendLockHint, applyLocksToSql, augmentRecognizedTableTypes, bindLimitParametersFirst, bindLimitParametersInReverseOrder, buildIdentifierHelper, buildSQLExceptionConverter, cast, cast, cast, contributeTypes, convertToFirstRowValue, createCaseFragment, createOuterJoinFragment, defaultScrollMode, doesReadCommittedCauseWritersToBlockReaders, doesRepeatableReadCauseReadersToBlockWriters, equivalentTypes, escapeComment, forceLimitUsage, forceLobAsLastValue, forUpdateOfColumns, getAddColumnSuffixString, getAddForeignKeyConstraintString, getAddPrimaryKeyConstraintString, getAddUniqueConstraintString, getAlterTableString, getAuxiliaryDatabaseObjectExporter, getCallableStatementSupport, getCascadeConstraintsString, getCaseInsensitiveLike, getColumnAliasExtractor, getCreateMultisetTableString, getCreateSequenceString, getCreateSequenceStrings, getCreateSequenceStrings, getCreateTableString, getCreateTemporaryTableColumnAnnotation, getCrossJoinSeparator, getCurrentSchemaCommand, getCurrentTimestampSQLFunctionName, getDefaultBatchLoadSizingStrategy, getDefaultProperties, getDialect, getDialect, getDropSequenceStrings, getDropTableString, getForeignKeyExporter, getForUpdateSkipLockedString, getForUpdateSkipLockedString, getForUpdateString, getForUpdateString, getForUpdateString, getForUpdateString, getFunctions, getHibernateTypeName, getHibernateTypeName, getIndexExporter, getInExpressionCountLimit, getKeywords, getLimitString, getLobMergeStrategy, getLockingStrategy, getLowercaseFunction, getMaxAliasLength, getNameQualifierSupport, getNativeIdentifierGeneratorClass, getNativeIdentifierGeneratorStrategy, getNoColumnsInsertString, getNullColumnString, getQueryHintString, getReadLockString, getResultSet, getResultSet, getSchemaNameResolver, getSelectClauseNullString, getSequenceExporter, getSqlTypeDescriptorOverride, getTableExporter, getTypeName, getTypeName, getUniqueKeyExporter, getWriteLockString, hasAlterTable, inlineLiteral, isLegacyLimitHandlerBehaviorEnabled, isLockTimeoutParameterized, isTypeNameRegistered, prependComment, quote, registerColumnType, registerColumnType, registerFunction, registerHibernateType, registerHibernateType, registerKeyword, registerResultSetOutParameter, remapSqlTypeDescriptor, replaceResultVariableInOrderByClauseWithPosition, requiresCastingOfParametersInSelectClause, requiresParensForTupleDistinctCounts, supportsBindAsCallableArgument, supportsCaseInsensitiveLike, supportsCircularCascadeDeleteConstraints, supportsCommentOn, supportsExistsInSelect, supportsExpectedLobUsagePattern, supportsIfExistsAfterAlterTable, supportsIfExistsAfterConstraintName, supportsIfExistsAfterTableName, supportsJdbcConnectionLobCreation, supportsLimitOffset, supportsNamedParameters, supportsNationalizedTypes, supportsNoColumnsInsert, supportsNonQueryWithCTE, supportsNotNullUnique, supportsNoWait, supportsOuterJoinForUpdate, supportsParametersInInsertSelect, supportsPartitionBy, supportsResultSetPositionQueryMethodsOnForwardOnlyCursor, supportsSkipLocked, supportsSubselectAsInPredicateLHS, supportsTableCheck, supportsTupleCounts, supportsTupleDistinctCounts, supportsTuplesInSubqueries, supportsUnboundedLobLocatorMaterialization, supportsUnique, supportsUniqueConstraintInCreateAlterTable, supportsValuesList, supportsVariableLimit, toBooleanValueString, toString, transformSelectString, useFollowOnLocking, useFollowOnLocking, useInputStreamToInsertBlob, useMaxForLimit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MariaDB103DialectUTF8

          public MariaDB103DialectUTF8()

  - ### Method Detail

    - #### registerVarcharTypes

          protected void registerVarcharTypes()

      Overrides:
        `registerVarcharTypes` in class `org.hibernate.dialect.MySQL5Dialect`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.